Package org.apache.sling.scriptingbundle.plugin.processor

## Class ResourceTypeFolderAnalyser

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.processor.ResourceTypeFolderAnalyser

    public class ResourceTypeFolderAnalyser
    extends Object

### Constructor Summary

Constructors
`ResourceTypeFolderAnalyser​(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Capabilities` `getCapabilities​(@NotNull Path resourceTypeDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceTypeFolderAnalyser

    public ResourceTypeFolderAnalyser​(@NotNull
                                      @NotNull Logger logger,
                                      @NotNull
                                      @NotNull Path scriptsDirectory,
                                      @NotNull
                                      @NotNull FileProcessor fileProcessor,
                                      boolean inContentPackage)

### Method Detail

#### getCapabilities

    public Capabilities getCapabilities​(@NotNull
                                        @NotNull Path resourceTypeDirectory)